Hi,

Emilien Macchi <emil...@redhat.com> writes:

> Upgrading YAQL from 1.1.0 to 1.1.3 breaks advanced queries with groupBy
> aggregation.
>
> The commit that broke it is
> https://github.com/openstack/yaql/commit/3fb91784018de335440b01b3b069fe45dc53e025
>
> It broke TripleO: https://bugs.launchpad.net/tripleo/+bug/1750032
> But Alex and I figured (after a strong headache) that we needed to update
> the query like this: https://review.openstack.org/545498
>

This is great, but we still have a pending issue.  Mixed upgrade jobs
are failing from Pike on.  Those are very experimental jobs[1][2] but
the error is present.  The problem being that in mixed version we have
the 1.1.3 yaql version (master undercloud) but not the fix in the
templates which are either N-1 or N-3.

But if we get the fix in previous version, the deployment shouldn't work
anymore as we would not have yaql 1.1.3, but the new syntax.

It's not only CI which is affected.  Any kind of mixed version operation
would fail as well.

[1] P->Q: 
http://logs.openstack.org/62/545762/3/experimental/tripleo-ci-centos-7-scenario001-multinode-oc-upgrade/afc98a5/logs/undercloud/home/zuul/overcloud_deploy.log.txt.gz#_2018-02-19_09_48_54
[2] Fast Forward Upgrade: 
http://logs.openstack.org/86/525686/55/experimental/tripleo-ci-centos-7-scenario001-multinode-ffu-upgrade/5412555/logs/undercloud/home/zuul/overcloud_deploy.log.txt.gz

> It would be great to avoid this kind of change within minor versions,
> please please.
>
> Happy weekend,
>
> PS: I'm adding YAQL to my linkedin profile right now.
> -- 
> Emilien Macchi
> __________________________________________________________________________
> OpenStack Development Mailing List (not for usage questions)
> Unsubscribe: openstack-dev-requ...@lists.openstack.org?subject:unsubscribe
> http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
-- 
Sofer Athlan-Guyot

__________________________________________________________________________
OpenStack Development Mailing List (not for usage questions)
Unsubscribe: openstack-dev-requ...@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev

Reply via email to